package com.jojubanking.boot.module.system.convert.wq;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.wq.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.wq.WqDO;

/**
 * 问卷调查 Convert
 *
 * @author admin
 */
@Mapper
public interface WqConvert {

    WqConvert INSTANCE = Mappers.getMapper(WqConvert.class);

    WqDO convert(WqCreateReqVO bean);

    WqDO convert(WqUpdateReqVO bean);

    WqRespVO convert(WqDO bean);

    List<WqRespVO> convertList(List<WqDO> list);

    PageResult<WqRespVO> convertPage(PageResult<WqDO> page);

    List<WqExcelVO> convertList02(List<WqDO> list);

}
